Oore CI
ReferenceAPIOperationsPipelines

Update pipeline

Update pipeline

Operation IDupdate_pipeline
PATCH
/v1/pipelines/{pipeline_id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

pipeline_id*string

Pipeline ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/pipelines/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "pipeline": {    "concurrency": {      "cancel_previous": true,      "max_concurrent": 0    },    "config_path": "string",    "config_path_explicit": true,    "created_at": 0,    "enabled": true,    "execution_config": {      "artifact_patterns": [        "string"      ],      "commands": {        "build": [          "string"        ],        "post_build": [          "string"        ],        "pre_build": [          "string"        ]      },      "env": [        {          "key": "string",          "value": "string"        }      ],      "flutter_version": "string",      "platform_build_args": {        "android": [          "string"        ],        "ios": [          "string"        ],        "macos": [          "string"        ]      },      "platform_commands": {        "android": "string",        "ios": "string",        "macos": "string"      },      "platforms": [        "android"      ]    },    "id": "string",    "name": "string",    "project_id": "string",    "trigger_config": {      "branches": [        "string"      ],      "events": [        "string"      ]    },    "updated_at": 0  }}